> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.solvimon.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.solvimon.com/_mcp/server.

# Retrieve payment method options for payment acceptors

POST https://test.api.solvimon.com/v{version}/payment-acceptors/payment-method-options
Content-Type: application/json

Requires the PAYMENT_ACCEPTOR.VIEW permission.

Reference: https://docs.solvimon.com/api-docs/configuration-api/payment-acceptors/post-payment-acceptors-payment-method-options

## Authentication

- `X-API-KEY` header (required) — API Key authentication via header
- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Servers

- `https://test.api.solvimon.com` (The TEST environment for our API, default)
- `https://api.solvimon.com` (The live environment for our API)

## Request

### Path parameters

- `version` (string, required, default: 1) — version

### Headers

- `x-platform-id` (string, optional) — Platform ID.

### Body (application/json)

This endpoint expects a PaymentAcceptorPaymentMethodOptionsRequestCreateRequest.

- `customer_id` (string, optional, nullable) — Resource ID of type CUSTOMER
- `pricing_plan_subscription_id` (string, optional, nullable) — Resource ID of type PRICING_PLAN_SUBSCRIPTION
- `invoice_id` (string, optional, nullable) — Resource ID of type INVOICE
- `amount` (AmountCreateRequest, optional)
- `country` (enum, optional, nullable)
  - Allowed values: `AD`, `AE`, `AF`, `AG`, `AI`, `AL`, `AM`, `AO`, `AQ`, `AR`, `AS`, `AT`, `AU`, `AW`, `AX`, `AZ`, `BA`, `BB`, `BD`, `BE`, `BF`, `BG`, `BH`, `BI`, `BJ`, `BL`, `BM`, `BN`, `BO`, `BQ`, `BR`, `BS`, `BT`, `BV`, `BW`, `BY`, `BZ`, `CA`, `CC`, `CD`, `CF`, `CG`, `CH`, `CI`, `CK`, `CL`, `CM`, `CN`, `CO`, `CR`, `CU`, `CV`, `CW`, `CX`, `CY`, `CZ`, `DE`, `DJ`, `DK`, `DM`, `DO`, `DZ`, `EC`, `EE`, `EG`, `EH`, `ER`, `ES`, `ET`, `FI`, `FJ`, `FK`, `FM`, `FO`, `FR`, `GA`, `GB`, `GD`, `GE`, `GF`, `GG`, `GH`, `GI`, `GL`, `GM`, `GN`, `GP`, `GQ`, `GR`, `GS`, `GT`, `GU`, `GW`, `GY`, `HK`, `HM`, `HN`, `HR`, `HT`, `HU`, `ID`, `IE`, `IL`, `IM`, `IN`, `IO`, `IQ`, `IR`, `IS`, `IT`, `JE`, `JM`, `JO`, `JP`, `KE`, `KG`, `KH`, `KI`, `KM`, `KN`, `KP`, `KR`, `KW`, `KY`, `KZ`, `LA`, `LB`, `LC`, `LI`, `LK`, `LR`, `LS`, `LT`, `LU`, `LV`, `LY`, `MA`, `MC`, `MD`, `ME`, `MF`, `MG`, `MH`, `MK`, `ML`, `MM`, `MN`, `MO`, `MP`, `MQ`, `MR`, `MS`, `MT`, `MU`, `MV`, `MW`, `MX`, `MY`, `MZ`, `NA`, `NC`, `NE`, `NF`, `NG`, `NI`, `NL`, `NO`, `NP`, `NR`, `NU`, `NZ`, `OM`, `PA`, `PE`, `PF`, `PG`, `PH`, `PK`, `PL`, `PM`, `PN`, `PR`, `PS`, `PT`, `PW`, `PY`, `QA`, `RE`, `RO`, `RS`, `RU`, `RW`, `SA`, `SB`, `SC`, `SD`, `SE`, `SG`, `SH`, `SI`, `SJ`, `SK`, `SL`, `SM`, `SN`, `SO`, `SR`, `SS`, `ST`, `SV`, `SX`, `SY`, `SZ`, `TC`, `TD`, `TF`, `TG`, `TH`, `TJ`, `TK`, `TL`, `TM`, `TN`, `TO`, `TR`, `TT`, `TV`, `TW`, `TZ`, `UA`, `UG`, `US`, `UY`, `UZ`, `VA`, `VC`, `VE`, `VG`, `VI`, `VN`, `VU`, `WF`, `WS`, `YE`, `YT`, `ZA`, `ZM`, `ZW`
- `shopper_interaction` (enum, optional)
  - Allowed values: `ECOMMERCE`, `CONT_AUTH`, `MOTO`, `POS`

## Response

### 200

OK

- `list of PaymentAcceptorPaymentMethodOptions`

## Errors

### 400 Bad Request Error

Bad Request

- `type` (enum, required)
  - Allowed values: `API_ERROR`, `INVALID_REQUEST`
- `code` (enum, required)
  - Allowed values: `RESOURCE_NOT_FOUND`, `RESOURCES_NOT_FOUND`, `UNABLE_TO_PROCESS_INSTRUCTIONS`, `BAD_REQUEST`, `UNSUPPORTED_MEDIA_TYPE`, `RESOURCE_ALREADY_EXISTS`, `CUSTOM_FIELD_VALUE_ALREADY_EXISTS`, `COULD_NOT_CREATE_RESOURCE`, `COULD_NOT_UPDATE_RESOURCE`, `COULD_NOT_DELETE_RESOURCE`, `MISSING_VERSION`, `UNSUPPORTED_VERSION`, `UNAUTHORISED`, `CUSTOMER_NOT_FOUND`, `PLATFORM_NOT_FOUND`, `PRICING_PLAN_NOT_FOUND`, `PRODUCT_NOT_FOUND`, `PRODUCT_ITEM_NOT_FOUND`, `PRICING_NOT_FOUND`, `PRICING_ITEM_NOT_FOUND`, `USER_NOT_FOUND`, `METER_NOT_FOUND`, `METER_VALUE_NOT_FOUND`, `METER_PROPERTY_NOT_FOUND`, `PRICING_ITEM_SUMMARIES_NOT_FOUND`, `MISSING_ID`, `INVALID_ID`, `MISSING_REFERENCE`, `MISSING_FIELD`, `INVALID_FIELD`, `INVALID_OPERATION`, `INTERNAL_ERROR`, `USER_NOT_ALLOWED`, `IDEMPOTENCY_CHECK_FAILED`, `INVALID_REQUEST`
- `message` (string, required)
- `field` (string, optional, nullable)
- `resource_id` (string, optional, nullable)
- `resource_type` (enum, optional, nullable)
  - Allowed values: `CUSTOMER`, `CUSTOM_FIELD`, `PLATFORM`, `PLATFORM_UPTODATE`, `METER`, `METER_VALUE`, `METER_PROPERTY`, `METER_PROPERTY_VARIABLE`, `METER_VALUE_CALCULATION`, `INGEST_DATA`, `METER_DATA`, `CHARGE_DATA`, `PERSIST_DATA`, `ADJUSTMENT_DATA`, `PRODUCT_CATEGORY`, `PRODUCT`, `PRODUCT_ITEM`, `PRICING`, `PRICING_GROUP`, `PRICING_ITEM`, `PRICING_ITEM_CONFIG`, `PRICING_PLAN_SUBSCRIPTION`, `PRICING_PLAN_SUBSCRIPTION_GROUP`, `PRICING_PLAN_SCHEDULE`, `SEAT_ASSIGNMENT`, `SHIPPING_ADDRESS`, `PRICING_PLAN`, `PRICING_PLAN_VERSION`, `PRICING_PLAN_GROUP`, `QUOTE`, `QUOTE_VERSION`, `QUOTE_TEMPLATE`, `QUOTE_VERSION_SUMMARY`, `API_KEY`, `USER`, `ROLE`, `PROXY_USER`, `EXTERNAL_CREDENTIALS`, `TOKEN`, `INVOICE`, `E_INVOICE`, `PDF`, `BILLING_ENTITY`, `FEATURE`, `MEMBERSHIP`, `PAYMENT`, `PAYMENT_ACCEPTOR`, `PAYMENT_METHOD`, `PAYMENT_METHOD_OPTIONS`, `PAYMENT_SCHEDULE`, `PAYMENT_REQUEST`, `INTEGRATION`, `WEBHOOK`, `WEBHOOK_EVENT`, `FILE`, `FILE_PROCESSING_SETTINGS`, `TEAM`, `DOWNLOAD_URL`, `CSV_REPORT`, `REPORT`, `REPORT_GENERATE_REQUEST`, `REPORT_CONFIGURATION`, `REPORT_SUBSCRIPTION`, `REPORT_DEFINITION`, `ACCOUNT_GROUP`, `ENTITY`, `EVENT_TRACE`, `EVENT_TRACE_LINK`, `PRICING_CATEGORY`, `CONTACT`, `ALERT_RULE`, `ALERT`, `USAGE_LIMIT`, `AUDIT_RECORD`, `PORTAL_URL`, `AUTHENTICATION_PROVIDER`, `REPROCESS`, `APPROVAL_POLICY`, `APPROVAL_REQUEST`, `BULK_ACTION`, `COUPON`, `PROMOTION_CODE`, `WALLET`, `WALLET_TYPE`, `WALLET_GRANT`, `AUTO_TOPUP_CONFIG`, `WORKFLOW`, `WORKFLOW_TRIGGER`, `WORKFLOW_ACTION`, `WORKFLOW_ACTION_EXECUTION`, `CREDIT_TYPE`, `SIGNATURE_REQUEST`, `ATTACHMENT`, `DOCUMENT`, `EXCHANGE_RATE`

### 401 Unauthorized Error

Unauthorized

- `type` (enum, required)
  - Allowed values: `API_ERROR`, `INVALID_REQUEST`
- `code` (enum, required)
  - Allowed values: `RESOURCE_NOT_FOUND`, `RESOURCES_NOT_FOUND`, `UNABLE_TO_PROCESS_INSTRUCTIONS`, `BAD_REQUEST`, `UNSUPPORTED_MEDIA_TYPE`, `RESOURCE_ALREADY_EXISTS`, `CUSTOM_FIELD_VALUE_ALREADY_EXISTS`, `COULD_NOT_CREATE_RESOURCE`, `COULD_NOT_UPDATE_RESOURCE`, `COULD_NOT_DELETE_RESOURCE`, `MISSING_VERSION`, `UNSUPPORTED_VERSION`, `UNAUTHORISED`, `CUSTOMER_NOT_FOUND`, `PLATFORM_NOT_FOUND`, `PRICING_PLAN_NOT_FOUND`, `PRODUCT_NOT_FOUND`, `PRODUCT_ITEM_NOT_FOUND`, `PRICING_NOT_FOUND`, `PRICING_ITEM_NOT_FOUND`, `USER_NOT_FOUND`, `METER_NOT_FOUND`, `METER_VALUE_NOT_FOUND`, `METER_PROPERTY_NOT_FOUND`, `PRICING_ITEM_SUMMARIES_NOT_FOUND`, `MISSING_ID`, `INVALID_ID`, `MISSING_REFERENCE`, `MISSING_FIELD`, `INVALID_FIELD`, `INVALID_OPERATION`, `INTERNAL_ERROR`, `USER_NOT_ALLOWED`, `IDEMPOTENCY_CHECK_FAILED`, `INVALID_REQUEST`
- `message` (string, required)
- `field` (string, optional, nullable)
- `resource_id` (string, optional, nullable)
- `resource_type` (enum, optional, nullable)
  - Allowed values: `CUSTOMER`, `CUSTOM_FIELD`, `PLATFORM`, `PLATFORM_UPTODATE`, `METER`, `METER_VALUE`, `METER_PROPERTY`, `METER_PROPERTY_VARIABLE`, `METER_VALUE_CALCULATION`, `INGEST_DATA`, `METER_DATA`, `CHARGE_DATA`, `PERSIST_DATA`, `ADJUSTMENT_DATA`, `PRODUCT_CATEGORY`, `PRODUCT`, `PRODUCT_ITEM`, `PRICING`, `PRICING_GROUP`, `PRICING_ITEM`, `PRICING_ITEM_CONFIG`, `PRICING_PLAN_SUBSCRIPTION`, `PRICING_PLAN_SUBSCRIPTION_GROUP`, `PRICING_PLAN_SCHEDULE`, `SEAT_ASSIGNMENT`, `SHIPPING_ADDRESS`, `PRICING_PLAN`, `PRICING_PLAN_VERSION`, `PRICING_PLAN_GROUP`, `QUOTE`, `QUOTE_VERSION`, `QUOTE_TEMPLATE`, `QUOTE_VERSION_SUMMARY`, `API_KEY`, `USER`, `ROLE`, `PROXY_USER`, `EXTERNAL_CREDENTIALS`, `TOKEN`, `INVOICE`, `E_INVOICE`, `PDF`, `BILLING_ENTITY`, `FEATURE`, `MEMBERSHIP`, `PAYMENT`, `PAYMENT_ACCEPTOR`, `PAYMENT_METHOD`, `PAYMENT_METHOD_OPTIONS`, `PAYMENT_SCHEDULE`, `PAYMENT_REQUEST`, `INTEGRATION`, `WEBHOOK`, `WEBHOOK_EVENT`, `FILE`, `FILE_PROCESSING_SETTINGS`, `TEAM`, `DOWNLOAD_URL`, `CSV_REPORT`, `REPORT`, `REPORT_GENERATE_REQUEST`, `REPORT_CONFIGURATION`, `REPORT_SUBSCRIPTION`, `REPORT_DEFINITION`, `ACCOUNT_GROUP`, `ENTITY`, `EVENT_TRACE`, `EVENT_TRACE_LINK`, `PRICING_CATEGORY`, `CONTACT`, `ALERT_RULE`, `ALERT`, `USAGE_LIMIT`, `AUDIT_RECORD`, `PORTAL_URL`, `AUTHENTICATION_PROVIDER`, `REPROCESS`, `APPROVAL_POLICY`, `APPROVAL_REQUEST`, `BULK_ACTION`, `COUPON`, `PROMOTION_CODE`, `WALLET`, `WALLET_TYPE`, `WALLET_GRANT`, `AUTO_TOPUP_CONFIG`, `WORKFLOW`, `WORKFLOW_TRIGGER`, `WORKFLOW_ACTION`, `WORKFLOW_ACTION_EXECUTION`, `CREDIT_TYPE`, `SIGNATURE_REQUEST`, `ATTACHMENT`, `DOCUMENT`, `EXCHANGE_RATE`

### 403 Forbidden Error

Forbidden

- `type` (enum, required)
  - Allowed values: `API_ERROR`, `INVALID_REQUEST`
- `code` (enum, required)
  - Allowed values: `RESOURCE_NOT_FOUND`, `RESOURCES_NOT_FOUND`, `UNABLE_TO_PROCESS_INSTRUCTIONS`, `BAD_REQUEST`, `UNSUPPORTED_MEDIA_TYPE`, `RESOURCE_ALREADY_EXISTS`, `CUSTOM_FIELD_VALUE_ALREADY_EXISTS`, `COULD_NOT_CREATE_RESOURCE`, `COULD_NOT_UPDATE_RESOURCE`, `COULD_NOT_DELETE_RESOURCE`, `MISSING_VERSION`, `UNSUPPORTED_VERSION`, `UNAUTHORISED`, `CUSTOMER_NOT_FOUND`, `PLATFORM_NOT_FOUND`, `PRICING_PLAN_NOT_FOUND`, `PRODUCT_NOT_FOUND`, `PRODUCT_ITEM_NOT_FOUND`, `PRICING_NOT_FOUND`, `PRICING_ITEM_NOT_FOUND`, `USER_NOT_FOUND`, `METER_NOT_FOUND`, `METER_VALUE_NOT_FOUND`, `METER_PROPERTY_NOT_FOUND`, `PRICING_ITEM_SUMMARIES_NOT_FOUND`, `MISSING_ID`, `INVALID_ID`, `MISSING_REFERENCE`, `MISSING_FIELD`, `INVALID_FIELD`, `INVALID_OPERATION`, `INTERNAL_ERROR`, `USER_NOT_ALLOWED`, `IDEMPOTENCY_CHECK_FAILED`, `INVALID_REQUEST`
- `message` (string, required)
- `field` (string, optional, nullable)
- `resource_id` (string, optional, nullable)
- `resource_type` (enum, optional, nullable)
  - Allowed values: `CUSTOMER`, `CUSTOM_FIELD`, `PLATFORM`, `PLATFORM_UPTODATE`, `METER`, `METER_VALUE`, `METER_PROPERTY`, `METER_PROPERTY_VARIABLE`, `METER_VALUE_CALCULATION`, `INGEST_DATA`, `METER_DATA`, `CHARGE_DATA`, `PERSIST_DATA`, `ADJUSTMENT_DATA`, `PRODUCT_CATEGORY`, `PRODUCT`, `PRODUCT_ITEM`, `PRICING`, `PRICING_GROUP`, `PRICING_ITEM`, `PRICING_ITEM_CONFIG`, `PRICING_PLAN_SUBSCRIPTION`, `PRICING_PLAN_SUBSCRIPTION_GROUP`, `PRICING_PLAN_SCHEDULE`, `SEAT_ASSIGNMENT`, `SHIPPING_ADDRESS`, `PRICING_PLAN`, `PRICING_PLAN_VERSION`, `PRICING_PLAN_GROUP`, `QUOTE`, `QUOTE_VERSION`, `QUOTE_TEMPLATE`, `QUOTE_VERSION_SUMMARY`, `API_KEY`, `USER`, `ROLE`, `PROXY_USER`, `EXTERNAL_CREDENTIALS`, `TOKEN`, `INVOICE`, `E_INVOICE`, `PDF`, `BILLING_ENTITY`, `FEATURE`, `MEMBERSHIP`, `PAYMENT`, `PAYMENT_ACCEPTOR`, `PAYMENT_METHOD`, `PAYMENT_METHOD_OPTIONS`, `PAYMENT_SCHEDULE`, `PAYMENT_REQUEST`, `INTEGRATION`, `WEBHOOK`, `WEBHOOK_EVENT`, `FILE`, `FILE_PROCESSING_SETTINGS`, `TEAM`, `DOWNLOAD_URL`, `CSV_REPORT`, `REPORT`, `REPORT_GENERATE_REQUEST`, `REPORT_CONFIGURATION`, `REPORT_SUBSCRIPTION`, `REPORT_DEFINITION`, `ACCOUNT_GROUP`, `ENTITY`, `EVENT_TRACE`, `EVENT_TRACE_LINK`, `PRICING_CATEGORY`, `CONTACT`, `ALERT_RULE`, `ALERT`, `USAGE_LIMIT`, `AUDIT_RECORD`, `PORTAL_URL`, `AUTHENTICATION_PROVIDER`, `REPROCESS`, `APPROVAL_POLICY`, `APPROVAL_REQUEST`, `BULK_ACTION`, `COUPON`, `PROMOTION_CODE`, `WALLET`, `WALLET_TYPE`, `WALLET_GRANT`, `AUTO_TOPUP_CONFIG`, `WORKFLOW`, `WORKFLOW_TRIGGER`, `WORKFLOW_ACTION`, `WORKFLOW_ACTION_EXECUTION`, `CREDIT_TYPE`, `SIGNATURE_REQUEST`, `ATTACHMENT`, `DOCUMENT`, `EXCHANGE_RATE`

### 404 Not Found Error

Not Found

- `type` (enum, required)
  - Allowed values: `API_ERROR`, `INVALID_REQUEST`
- `code` (enum, required)
  - Allowed values: `RESOURCE_NOT_FOUND`, `RESOURCES_NOT_FOUND`, `UNABLE_TO_PROCESS_INSTRUCTIONS`, `BAD_REQUEST`, `UNSUPPORTED_MEDIA_TYPE`, `RESOURCE_ALREADY_EXISTS`, `CUSTOM_FIELD_VALUE_ALREADY_EXISTS`, `COULD_NOT_CREATE_RESOURCE`, `COULD_NOT_UPDATE_RESOURCE`, `COULD_NOT_DELETE_RESOURCE`, `MISSING_VERSION`, `UNSUPPORTED_VERSION`, `UNAUTHORISED`, `CUSTOMER_NOT_FOUND`, `PLATFORM_NOT_FOUND`, `PRICING_PLAN_NOT_FOUND`, `PRODUCT_NOT_FOUND`, `PRODUCT_ITEM_NOT_FOUND`, `PRICING_NOT_FOUND`, `PRICING_ITEM_NOT_FOUND`, `USER_NOT_FOUND`, `METER_NOT_FOUND`, `METER_VALUE_NOT_FOUND`, `METER_PROPERTY_NOT_FOUND`, `PRICING_ITEM_SUMMARIES_NOT_FOUND`, `MISSING_ID`, `INVALID_ID`, `MISSING_REFERENCE`, `MISSING_FIELD`, `INVALID_FIELD`, `INVALID_OPERATION`, `INTERNAL_ERROR`, `USER_NOT_ALLOWED`, `IDEMPOTENCY_CHECK_FAILED`, `INVALID_REQUEST`
- `message` (string, required)
- `field` (string, optional, nullable)
- `resource_id` (string, optional, nullable)
- `resource_type` (enum, optional, nullable)
  - Allowed values: `CUSTOMER`, `CUSTOM_FIELD`, `PLATFORM`, `PLATFORM_UPTODATE`, `METER`, `METER_VALUE`, `METER_PROPERTY`, `METER_PROPERTY_VARIABLE`, `METER_VALUE_CALCULATION`, `INGEST_DATA`, `METER_DATA`, `CHARGE_DATA`, `PERSIST_DATA`, `ADJUSTMENT_DATA`, `PRODUCT_CATEGORY`, `PRODUCT`, `PRODUCT_ITEM`, `PRICING`, `PRICING_GROUP`, `PRICING_ITEM`, `PRICING_ITEM_CONFIG`, `PRICING_PLAN_SUBSCRIPTION`, `PRICING_PLAN_SUBSCRIPTION_GROUP`, `PRICING_PLAN_SCHEDULE`, `SEAT_ASSIGNMENT`, `SHIPPING_ADDRESS`, `PRICING_PLAN`, `PRICING_PLAN_VERSION`, `PRICING_PLAN_GROUP`, `QUOTE`, `QUOTE_VERSION`, `QUOTE_TEMPLATE`, `QUOTE_VERSION_SUMMARY`, `API_KEY`, `USER`, `ROLE`, `PROXY_USER`, `EXTERNAL_CREDENTIALS`, `TOKEN`, `INVOICE`, `E_INVOICE`, `PDF`, `BILLING_ENTITY`, `FEATURE`, `MEMBERSHIP`, `PAYMENT`, `PAYMENT_ACCEPTOR`, `PAYMENT_METHOD`, `PAYMENT_METHOD_OPTIONS`, `PAYMENT_SCHEDULE`, `PAYMENT_REQUEST`, `INTEGRATION`, `WEBHOOK`, `WEBHOOK_EVENT`, `FILE`, `FILE_PROCESSING_SETTINGS`, `TEAM`, `DOWNLOAD_URL`, `CSV_REPORT`, `REPORT`, `REPORT_GENERATE_REQUEST`, `REPORT_CONFIGURATION`, `REPORT_SUBSCRIPTION`, `REPORT_DEFINITION`, `ACCOUNT_GROUP`, `ENTITY`, `EVENT_TRACE`, `EVENT_TRACE_LINK`, `PRICING_CATEGORY`, `CONTACT`, `ALERT_RULE`, `ALERT`, `USAGE_LIMIT`, `AUDIT_RECORD`, `PORTAL_URL`, `AUTHENTICATION_PROVIDER`, `REPROCESS`, `APPROVAL_POLICY`, `APPROVAL_REQUEST`, `BULK_ACTION`, `COUPON`, `PROMOTION_CODE`, `WALLET`, `WALLET_TYPE`, `WALLET_GRANT`, `AUTO_TOPUP_CONFIG`, `WORKFLOW`, `WORKFLOW_TRIGGER`, `WORKFLOW_ACTION`, `WORKFLOW_ACTION_EXECUTION`, `CREDIT_TYPE`, `SIGNATURE_REQUEST`, `ATTACHMENT`, `DOCUMENT`, `EXCHANGE_RATE`

### 500 Internal Server Error

Internal Server Error

- `type` (enum, required)
  - Allowed values: `API_ERROR`, `INVALID_REQUEST`
- `code` (enum, required)
  - Allowed values: `RESOURCE_NOT_FOUND`, `RESOURCES_NOT_FOUND`, `UNABLE_TO_PROCESS_INSTRUCTIONS`, `BAD_REQUEST`, `UNSUPPORTED_MEDIA_TYPE`, `RESOURCE_ALREADY_EXISTS`, `CUSTOM_FIELD_VALUE_ALREADY_EXISTS`, `COULD_NOT_CREATE_RESOURCE`, `COULD_NOT_UPDATE_RESOURCE`, `COULD_NOT_DELETE_RESOURCE`, `MISSING_VERSION`, `UNSUPPORTED_VERSION`, `UNAUTHORISED`, `CUSTOMER_NOT_FOUND`, `PLATFORM_NOT_FOUND`, `PRICING_PLAN_NOT_FOUND`, `PRODUCT_NOT_FOUND`, `PRODUCT_ITEM_NOT_FOUND`, `PRICING_NOT_FOUND`, `PRICING_ITEM_NOT_FOUND`, `USER_NOT_FOUND`, `METER_NOT_FOUND`, `METER_VALUE_NOT_FOUND`, `METER_PROPERTY_NOT_FOUND`, `PRICING_ITEM_SUMMARIES_NOT_FOUND`, `MISSING_ID`, `INVALID_ID`, `MISSING_REFERENCE`, `MISSING_FIELD`, `INVALID_FIELD`, `INVALID_OPERATION`, `INTERNAL_ERROR`, `USER_NOT_ALLOWED`, `IDEMPOTENCY_CHECK_FAILED`, `INVALID_REQUEST`
- `message` (string, required)
- `field` (string, optional, nullable)
- `resource_id` (string, optional, nullable)
- `resource_type` (enum, optional, nullable)
  - Allowed values: `CUSTOMER`, `CUSTOM_FIELD`, `PLATFORM`, `PLATFORM_UPTODATE`, `METER`, `METER_VALUE`, `METER_PROPERTY`, `METER_PROPERTY_VARIABLE`, `METER_VALUE_CALCULATION`, `INGEST_DATA`, `METER_DATA`, `CHARGE_DATA`, `PERSIST_DATA`, `ADJUSTMENT_DATA`, `PRODUCT_CATEGORY`, `PRODUCT`, `PRODUCT_ITEM`, `PRICING`, `PRICING_GROUP`, `PRICING_ITEM`, `PRICING_ITEM_CONFIG`, `PRICING_PLAN_SUBSCRIPTION`, `PRICING_PLAN_SUBSCRIPTION_GROUP`, `PRICING_PLAN_SCHEDULE`, `SEAT_ASSIGNMENT`, `SHIPPING_ADDRESS`, `PRICING_PLAN`, `PRICING_PLAN_VERSION`, `PRICING_PLAN_GROUP`, `QUOTE`, `QUOTE_VERSION`, `QUOTE_TEMPLATE`, `QUOTE_VERSION_SUMMARY`, `API_KEY`, `USER`, `ROLE`, `PROXY_USER`, `EXTERNAL_CREDENTIALS`, `TOKEN`, `INVOICE`, `E_INVOICE`, `PDF`, `BILLING_ENTITY`, `FEATURE`, `MEMBERSHIP`, `PAYMENT`, `PAYMENT_ACCEPTOR`, `PAYMENT_METHOD`, `PAYMENT_METHOD_OPTIONS`, `PAYMENT_SCHEDULE`, `PAYMENT_REQUEST`, `INTEGRATION`, `WEBHOOK`, `WEBHOOK_EVENT`, `FILE`, `FILE_PROCESSING_SETTINGS`, `TEAM`, `DOWNLOAD_URL`, `CSV_REPORT`, `REPORT`, `REPORT_GENERATE_REQUEST`, `REPORT_CONFIGURATION`, `REPORT_SUBSCRIPTION`, `REPORT_DEFINITION`, `ACCOUNT_GROUP`, `ENTITY`, `EVENT_TRACE`, `EVENT_TRACE_LINK`, `PRICING_CATEGORY`, `CONTACT`, `ALERT_RULE`, `ALERT`, `USAGE_LIMIT`, `AUDIT_RECORD`, `PORTAL_URL`, `AUTHENTICATION_PROVIDER`, `REPROCESS`, `APPROVAL_POLICY`, `APPROVAL_REQUEST`, `BULK_ACTION`, `COUPON`, `PROMOTION_CODE`, `WALLET`, `WALLET_TYPE`, `WALLET_GRANT`, `AUTO_TOPUP_CONFIG`, `WORKFLOW`, `WORKFLOW_TRIGGER`, `WORKFLOW_ACTION`, `WORKFLOW_ACTION_EXECUTION`, `CREDIT_TYPE`, `SIGNATURE_REQUEST`, `ATTACHMENT`, `DOCUMENT`, `EXCHANGE_RATE`

## Types

### AmountCreateRequest

- `quantity` (string, optional)
- `currency` (enum, optional)
  - Allowed values: `AED`, `AFN`, `ALL`, `AMD`, `ANG`, `AOA`, `ARS`, `AUD`, `AWG`, `AZN`, `BAM`, `BBD`, `BDT`, `BGN`, `BHD`, `BIF`, `BMD`, `BND`, `BOB`, `BRL`, `BSD`, `BTN`, `BWP`, `BYN`, `BZD`, `CAD`, `CDF`, `CHF`, `CLF`, `CLP`, `CNY`, `COP`, `CRC`, `CUC`, `CUP`, `CVE`, `CZK`, `DJF`, `DKK`, `DOP`, `DZD`, `EGP`, `ERN`, `ETB`, `EUR`, `FJD`, `FKP`, `GBP`, `GEL`, `GHS`, `GIP`, `GMD`, `GNF`, `GTQ`, `GYD`, `HKD`, `HNL`, `HRK`, `HTG`, `HUF`, `IDR`, `ILS`, `INR`, `IQD`, `IRR`, `ISK`, `JMD`, `JOD`, `JPY`, `KES`, `KGS`, `KHR`, `KMF`, `KPW`, `KRW`, `KWD`, `KYD`, `KZT`, `LAK`, `LBP`, `LKR`, `LRD`, `LSL`, `LYD`, `MAD`, `MDL`, `MGA`, `MKD`, `MMK`, `MNT`, `MOP`, `MRO`, `MRU`, `MUR`, `MVR`, `MWK`, `MXN`, `MXV`, `MYR`, `MZN`, `NAD`, `NGN`, `NIO`, `NOK`, `NPR`, `NZD`, `OMR`, `PAB`, `PEN`, `PGK`, `PHP`, `PKR`, `PLN`, `PYG`, `QAR`, `RON`, `RSD`, `RUB`, `RWF`, `SAR`, `SBD`, `SCR`, `SDG`, `SEK`, `SGD`, `SHP`, `SLE`, `SOS`, `SRD`, `SSP`, `STN`, `SVC`, `SYP`, `SZL`, `THB`, `TJS`, `TMT`, `TND`, `TOP`, `TRY`, `TTD`, `TWD`, `TZS`, `UAH`, `UGX`, `USD`, `USN`, `UYI`, `UYU`, `UZS`, `VEF`, `VES`, `VND`, `VUV`, `WST`, `XAF`, `XAG`, `XAU`, `XBA`, `XBB`, `XBC`, `XBD`, `XCD`, `XDR`, `XOF`, `XPD`, `XPF`, `XPT`, `XSU`, `XTS`, `XUA`, `XXX`, `YER`, `ZAR`, `ZMW`, `ZWL`

### PaymentAcceptorPaymentMethodOptions

- `payment_acceptor` (PaymentAcceptor, optional)
- `integration` (Integration, optional)
- `options` (list of PaymentMethodOption, optional)

### PaymentAcceptor

- `object_type` (string, optional, nullable)
- `id` (string, optional, nullable)
- `billing_entity_id` (string, optional, nullable) — Resource ID of type BILLING_ENTITY
- `customer_id` (string, optional, nullable) — Resource ID of type CUSTOMER
- `reference` (string, optional)
- `name` (string, optional, nullable)
- `description` (string, optional, nullable)
- `type` (enum, optional, nullable)
  - Allowed values: `BANK_ACCOUNT`, `PAYMENT_GATEWAY`, `CUSTOM_REDIRECT`
- `bank_account` (BankAccount, optional)
- `payment_gateway` (PaymentGatewayPaymentAcceptor, optional)
- `custom_redirect` (PaymentAcceptorCustomRedirect, optional)
- `status` (enum, optional, nullable)
  - Allowed values: `DRAFT`, `ACTIVE`, `ARCHIVED`, `DEPRECATED`

### Integration

- `object_type` (string, optional, nullable)
- `id` (string, optional, nullable)
- `reference` (string, optional) — A custom reference assigned to the integration.
- `name` (string, optional) — A custom name assigned to the integration.
- `description` (string, optional)
- `status` (enum, optional, nullable) — The status of the integration.
  - Allowed values: `DRAFT`, `PENDING`, `TESTING`, `ACTIVE`, `ERROR`, `DEPRECATED`, `ARCHIVED`
- `message` (string, optional, nullable) — The message associated with the status of the integration.
- `type` (enum, optional) — The type of integration.
  - Allowed values: `PAYMENT_GATEWAY`, `E_INVOICING`, `TAX_CALCULATION`, `DATA_EXPORT`, `EMAIL_PROVIDER`, `ERP`
- `variant` (enum, optional) — The variant of the integration.
  - Allowed values: `DEFAULT`, `PARAGON_MULTI_ACCOUNT`
- `paragon_settings` (ParagonSettings, optional) — Paragon integration settings, e.g. the Paragon credential id. Applicable when the variant is PARAGON_MULTI_ACCOUNT.
- `authentication` (AuthenticationSettings, optional) — The authentication information used for the integration
- `payment_gateway` (PaymentGatewayIntegration, optional)
- `e_invoicing` (EInvoicingIntegration, optional) — Integration to do eInvoicing
- `data_export` (DataExportIntegration, optional)
- `tax_calculation` (TaxCalculationIntegration, optional) — Integration to calculate tax
- `linked_resources_configurations` (list of IntegrationLinkedResourceConfiguration, optional) — Details from the resources configurations from Solvimon linked to external integration system
- `email_provider` (EmailProviderIntegration, optional) — Email provider integration settings. Applicable when the integration type is EMAIL_PROVIDER.
- `erp` (ErpIntegration, optional) — ERP integration settings. Applicable when the integration type is ERP.

### PaymentMethodOption

- `name` (string, optional)
- `payment_method_variant` (string, optional, nullable)
- `payment_gateway_variant` (string, optional, nullable)
- `adyen` (AdyenPaymentMethodOption, optional)
- `stripe` (StripePaymentMethodOption, optional)

### BankAccount

- `type` (enum, optional, nullable) — Determines what fields should be present in the bank account node.
  - Allowed values: `IBAN`, `BIC_AND_ACCOUNT_NUMBER`, `ACCOUNT_NUMBER_AND_BIC`, `US_BANK_ACCOUNT`, `US_LOCAL`, `UK_LOCAL`, `BR_LOCAL`, `AR_LOCAL`, `MX_LOCAL`
- `iban` (string, optional, nullable)
- `country` (string, optional, nullable)
- `bic` (string, optional, nullable) — The ISO 9362 Business Identifier Code (BIC) of the bank account
- `bank_name` (string, optional, nullable)
- `bank_address` (Address, optional) — The bank address
- `account_number_and_bic` (AccountNumberAndBic, optional)
- `uk_local` (UKLocal, optional)
- `us_local` (USLocal, optional)
- `br_local` (BRLocal, optional)
- `ar_local` (ARLocal, optional)
- `mx_local` (MXLocal, optional)
- `account_number` (string, optional, nullable, deprecated) — A bank account number if IBAN is not used, e.g a USA or UK bank account number
- `bank_code` (string, optional, nullable, deprecated) — A bank code that's used to identify the bank that this account belongs to
- `routing_number` (string, optional, nullable, deprecated) — The 9-digit code that identifies a specific financial institution for transactions in the USA.
- `account_type` (enum, optional, nullable, deprecated) — The bank account type.
  - Allowed values: `CHECKING`, `SAVINGS`

### PaymentGatewayPaymentAcceptor

- `integration_id` (string, optional) — Resource ID of type INTEGRATION
- `integration` (Integration, optional, nullable)
- `store_payment_method` (boolean, optional, nullable)
- `auto_charge_payment_method` (boolean, optional, nullable)
- `collection_type` (enum, optional)
  - Allowed values: `LINK`
- `link` (PaymentGatewayPaymentAcceptorLink, optional)
- `adyen` (PaymentGatewayPaymentAcceptorAdyen, optional)

### PaymentAcceptorCustomRedirect

- `url` (string, optional, nullable)

### ParagonSettings

- `paragon_external_id` (string, optional, nullable) — The external id of the integration in the third-party system, e.g. the Paragon credential id.

### AuthenticationSettings

- `api_key` (AuthenticationSettingsApiKey, optional)
- `client_credentials` (ClientCredentials, optional)
- `username_password` (UsernamePassword, optional)

### PaymentGatewayIntegration

- `variant` (enum, optional) — The variant of payment integration.
  - Allowed values: `ADYEN`, `STRIPE`
- `adyen` (AdyenPaymentGatewayIntegration, optional)
- `stripe` (StripePaymentGatewayIntegration, optional)

### EInvoicingIntegration

- `mandates` (list of EInvoicingMandate, optional) — The mandates that are used for eInvoicing
- `processor` (enum, optional)
  - Allowed values: `AVALARA`

### DataExportIntegration

- `variant` (enum, optional) — The variant of payment integration.
  - Allowed values: `S3`, `BIGQUERY`, `GCS`, `SNOWFLAKE`
- `s3` (S3, optional)
- `bigquery` (BigQuery, optional)
- `gcs` (Gcs, optional)
- `snowflake` (Snowflake, optional)
- `transport_type` (string, optional, nullable)

### TaxCalculationIntegration

- `billing_entity_id` (string, optional) — The id of the billing entity for which this integration is used
- `variant` (enum, optional) — The variant that provides the tax calculation
  - Allowed values: `AVATAX`
- `ava_tax` (AvaTaxCalculationIntegration, optional) — Details for an AvaTax integration
- `custom_tax_codes` (list of CustomTaxCode, optional) — Optional: custom codes that are used to link specific taxes to the tax calculation (e.g. commitments, missing product codes, etc.)
- `enable_tax_filing` (boolean, optional) — Determines whether invoices will be sent to the tax integration, or just calculations

### IntegrationLinkedResourceConfiguration

- `resource_type` (string, optional)
- `link_details` (list of IntegrationLinkDetail, optional)

### EmailProviderIntegration

- `variant` (enum, optional) — The variant of email provider integration.
  - Allowed values: `SYSTEM`, `MAILGUN`
- `mailgun` (MailgunEmailProvider, optional) — Mailgun-specific provider settings. Applicable when variant is MAILGUN.
- `delivery_window` (Period, optional) — Optional delivery window configuration that limits when outbound emails may be sent.

### ErpIntegration

- `variant` (enum, optional)
  - Allowed values: `XERO`

### AdyenPaymentMethodOption

- `name` (string, optional, nullable)
- `type` (string, optional, nullable)
- `brand` (string, optional, nullable)
- `brands` (list of string, optional, nullable)
- `funding_source` (string, optional, nullable)
- `issuers` (list of AdyenIssuer, optional, nullable)
- `store_payment_method` (boolean, optional)
- `configuration` (map from string to string, optional)

### StripePaymentMethodOption

- `name` (string, optional, nullable)

### Address

- `line1` (string, optional, nullable)
- `line2` (string, optional, nullable)
- `city` (string, optional, nullable)
- `postal_code` (string, optional, nullable)
- `state` (string, optional, nullable)
- `country` (enum, optional, nullable)
  - Allowed values: `AD`, `AE`, `AF`, `AG`, `AI`, `AL`, `AM`, `AO`, `AQ`, `AR`, `AS`, `AT`, `AU`, `AW`, `AX`, `AZ`, `BA`, `BB`, `BD`, `BE`, `BF`, `BG`, `BH`, `BI`, `BJ`, `BL`, `BM`, `BN`, `BO`, `BQ`, `BR`, `BS`, `BT`, `BV`, `BW`, `BY`, `BZ`, `CA`, `CC`, `CD`, `CF`, `CG`, `CH`, `CI`, `CK`, `CL`, `CM`, `CN`, `CO`, `CR`, `CU`, `CV`, `CW`, `CX`, `CY`, `CZ`, `DE`, `DJ`, `DK`, `DM`, `DO`, `DZ`, `EC`, `EE`, `EG`, `EH`, `ER`, `ES`, `ET`, `FI`, `FJ`, `FK`, `FM`, `FO`, `FR`, `GA`, `GB`, `GD`, `GE`, `GF`, `GG`, `GH`, `GI`, `GL`, `GM`, `GN`, `GP`, `GQ`, `GR`, `GS`, `GT`, `GU`, `GW`, `GY`, `HK`, `HM`, `HN`, `HR`, `HT`, `HU`, `ID`, `IE`, `IL`, `IM`, `IN`, `IO`, `IQ`, `IR`, `IS`, `IT`, `JE`, `JM`, `JO`, `JP`, `KE`, `KG`, `KH`, `KI`, `KM`, `KN`, `KP`, `KR`, `KW`, `KY`, `KZ`, `LA`, `LB`, `LC`, `LI`, `LK`, `LR`, `LS`, `LT`, `LU`, `LV`, `LY`, `MA`, `MC`, `MD`, `ME`, `MF`, `MG`, `MH`, `MK`, `ML`, `MM`, `MN`, `MO`, `MP`, `MQ`, `MR`, `MS`, `MT`, `MU`, `MV`, `MW`, `MX`, `MY`, `MZ`, `NA`, `NC`, `NE`, `NF`, `NG`, `NI`, `NL`, `NO`, `NP`, `NR`, `NU`, `NZ`, `OM`, `PA`, `PE`, `PF`, `PG`, `PH`, `PK`, `PL`, `PM`, `PN`, `PR`, `PS`, `PT`, `PW`, `PY`, `QA`, `RE`, `RO`, `RS`, `RU`, `RW`, `SA`, `SB`, `SC`, `SD`, `SE`, `SG`, `SH`, `SI`, `SJ`, `SK`, `SL`, `SM`, `SN`, `SO`, `SR`, `SS`, `ST`, `SV`, `SX`, `SY`, `SZ`, `TC`, `TD`, `TF`, `TG`, `TH`, `TJ`, `TK`, `TL`, `TM`, `TN`, `TO`, `TR`, `TT`, `TV`, `TW`, `TZ`, `UA`, `UG`, `US`, `UY`, `UZ`, `VA`, `VC`, `VE`, `VG`, `VI`, `VN`, `VU`, `WF`, `WS`, `YE`, `YT`, `ZA`, `ZM`, `ZW`

### AccountNumberAndBic

- `account_number` (string, optional, nullable) — A bank account number if IBAN is not used, e.g a USA or UK bank account number
- `bank_code` (string, optional, nullable) — A bank code that's used to identify the bank that this account belongs to
- `bic` (string, optional, nullable) — The ISO 9362 Business Identifier Code (BIC) of the bank account

### UKLocal

- `account_number` (string, optional, nullable) — A bank account number if IBAN is not used, e.g a USA or UK bank account number
- `sort_code` (string, optional, nullable)

### USLocal

- `account_number` (string, optional, nullable) — A bank account number if IBAN is not used, e.g a USA or UK bank account number
- `account_type` (enum, optional, nullable) — The bank account type.
  - Allowed values: `CHECKING`, `SAVINGS`
- `bank_code` (string, optional, nullable) — A bank code that's used to identify the bank that this account belongs to
- `routing_number` (string, optional, nullable) — The 9-digit code that identifies a specific financial institution for transactions in the USA.

### BRLocal

- `branch` (string, optional, nullable) — Identifier of the bank branch (agência)
- `account_number` (string, optional, nullable) — A bank account number if IBAN is not used, in Brazil known as a conta
- `bic` (string, optional, nullable) — The ISO 9362 Business Identifier Code (BIC) of the bank account

### ARLocal

- `cbu` (string, optional, nullable) — CBU (Clave Bancaria Uniforme) account identifier
- `account_number` (string, optional, nullable) — A bank account number if IBAN is not used
- `bic` (string, optional, nullable) — The ISO 9362 Business Identifier Code (BIC) of the bank account

### MXLocal

- `clabe` (string, optional, nullable) — CLABE (Clave Bancaria Estandarizada) account identifier
- `account_number` (string, optional, nullable) — A bank account number if IBAN is not used
- `bic` (string, optional, nullable) — The ISO 9362 Business Identifier Code (BIC) of the bank account

### PaymentGatewayPaymentAcceptorLink

- `expiry_period` (Period, optional)

### PaymentGatewayPaymentAcceptorAdyen

- `auto_rescue` (AdyenAutoRescue, optional)
- `merchant_account` (string, optional, nullable)
- `allowed_payment_methods` (list of string, optional, nullable) — The Adyen payment method types allowed for this payment acceptor. Must be a subset of the integration's enabled_payment_methods, when enabled_payment_methods is set.

### AuthenticationSettingsApiKey

- `header` (string, optional, nullable)
- `value` (string, optional, nullable)

### ClientCredentials

- `client_id` (string, optional)
- `client_secret` (string, optional)

### UsernamePassword

- `username` (string, optional)
- `password` (string, optional)

### AdyenPaymentGatewayIntegration

- `company_account` (string, optional)
- `environment` (enum, optional)
  - Allowed values: `LIVE`, `TEST`
- `live_prefix` (string, optional)
- `merchant_accounts` (list of string, optional)
- `public_key` (string, optional)
- `signing_secret` (string, optional)
- `ownership` (enum, optional)
  - Allowed values: `PLATFORM`, `SYSTEM`
- `system_ownership_details` (SystemOwnershipDetails, optional)
- `balance_platform_details` (BalancePlatformDetails, optional)
- `legal_entity_manager_details` (LegalEntityManagerDetails, optional)
- `enabled_payment_methods` (list of string, optional, nullable) — The Adyen payment method types enabled for this integration.

### StripePaymentGatewayIntegration

- `public_key` (string, optional)
- `signing_secret` (string, optional, nullable)

### EInvoicingMandate

- `name` (string, optional) — The name of the mandate
- `country` (string, optional, nullable) — The country that this mandate belongs to
- `mappings` (list of EInvoicingMapping, optional, nullable) — The mappings that are used for this Mandate. If not provided, all mappings will be default. If provided, will be merged with defaults
- `condition_groups` (list of EInvoicingConditionGroup, optional, nullable) — The condition groups that are used for this mandate. If provided, no defaults will be used. The mandate applies if 1 conditionGroup applies
- `include_pdf_in_einvoice` (boolean, optional, nullable) — Whether the PDF should be included in the submitted eInvoice payload when supported
- `supported_file_formats` (list of EInvoiceFileFormat, optional, nullable) — The file formats in which eInvoices for this mandate can be downloaded

### S3

- `bucket_name` (string, optional)
- `bucket_path` (string, optional)
- `bucket_region` (string, optional)
- `authentication_type` (enum, optional, nullable)
  - Allowed values: `ACCESS_KEY_AND_SECRET`, `IAM_ROLE`
- `role_arn` (string, optional, nullable)
- `external_id` (string, optional, nullable)

### BigQuery

- `project_id` (string, optional)
- `dataset_id` (string, optional)
- `dataset_location` (string, optional)
- `gcs_bucket_name` (string, optional)
- `gcs_hmac_key_access_id` (string, optional)
- `gcs_hmac_key_secret` (string, optional)

### Gcs

- `bucket_region` (string, optional)
- `bucket_name` (string, optional)
- `bucket_path` (string, optional)
- `flattening` (boolean, optional)

### Snowflake

- `host` (string, optional, nullable)
- `role` (string, optional, nullable)
- `warehouse` (string, optional, nullable)
- `database` (string, optional, nullable)
- `schema` (string, optional, nullable)

### AvaTaxCalculationIntegration

- `company_code` (string, optional) — Links a billing entity to a company in AvaTax

### CustomTaxCode

- `field` (enum, optional) — The field to use a custom code for
  - Allowed values: `INVOICE_COMMITMENT`, `PRODUCT_FALLBACK`
- `value` (string, optional)

### IntegrationLinkDetail

- `base_url` (string, optional)
- `custom_field_reference` (string, optional)

### MailgunEmailProvider

- `domain` (string, optional) — Mailgun sending domain used for this email provider integration.
- `region` (enum, optional, nullable) — Mailgun region for the configured domain.
  - Allowed values: `US`, `EU`
- `plan` (string, optional, nullable) — Optional Mailgun plan stored with the integration.

### Period

- `type` (enum, optional)
  - Allowed values: `DAY`, `WEEK`, `MONTH`, `YEAR`
- `value` (integer, optional, nullable)

### AdyenIssuer

- `id` (string, optional, nullable)
- `name` (string, optional, nullable)

### AdyenAutoRescue

- `enabled` (boolean, optional, nullable)
- `period` (Period, optional)

### SystemOwnershipDetails

- `account_holder_id` (string, optional)
- `balance_account_id` (string, optional)
- `legal_entity_id` (string, optional)
- `store_id` (string, optional)

### BalancePlatformDetails

- `account` (string, optional)
- `authentication` (AuthenticationSettings, optional)

### LegalEntityManagerDetails

- `authentication` (AuthenticationSettings, optional)

### EInvoicingMapping

- `target` (string, optional) — The target field for a UBL Invoice
- `source` (string, optional, nullable) — The source field from a Solvimon Invoice
- `description` (string, optional, nullable) — Optional description for the mapping

### EInvoicingConditionGroup

- `conditions` (list of EInvoicingCondition, optional) — Conditions that determine whether this conditionGroup matches the invoice. All conditions need to match for the group to match

### EInvoiceFileFormat

- `type` (string, optional, nullable) — The format of the eInvoice that can be downloaded
- `description` (string, optional, nullable)

### EInvoicingCondition

- `field` (string, optional) — The field that holds the value to compare against
- `comparator_type` (enum, optional)
  - Allowed values: `EQUALS`, `NOT_EQUALS`, `IN`, `NOT_IN`, `GREATER_THAN`, `GREATER_THAN_OR_EQUALS`, `LESS_THAN`, `LESS_THAN_OR_EQUALS`, `EMPTY`, `NOT_EMPTY`, `CONTAINS`, `NOT_CONTAINS`
- `value` (string, optional) — Value to check the field against. If a Comparator such as 'IN' or 'CONTAINS' is used, this can be a comma separated list of values

## Examples

**Request**

```json
{
  "customer_id": "cust_lwDeeN0vxxHxMWCVef1S",
  "pricing_plan_subscription_id": "ppsu_qwDeeN0vxxHy6YCGVV17",
  "amount": {
    "quantity": "500.00",
    "currency": "EUR"
  },
  "country": "DE",
  "shopper_interaction": "ECOMMERCE"
}
```

**Response**

```json
[
  {
    "payment_acceptor": {
      "object_type": "string",
      "id": "string",
      "billing_entity_id": "string",
      "customer_id": "string",
      "reference": "string",
      "name": "string",
      "description": "string",
      "type": "BANK_ACCOUNT",
      "bank_account": {
        "type": "IBAN",
        "iban": "string",
        "country": "string",
        "bic": "string",
        "bank_name": "string",
        "bank_address": {
          "line1": "string",
          "line2": "string",
          "city": "string",
          "postal_code": "string",
          "state": "string",
          "country": "AD"
        },
        "account_number_and_bic": {
          "account_number": "string",
          "bank_code": "string",
          "bic": "string"
        },
        "uk_local": {
          "account_number": "string",
          "sort_code": "string"
        },
        "us_local": {
          "account_number": "string",
          "account_type": "CHECKING",
          "bank_code": "string",
          "routing_number": "string"
        },
        "br_local": {
          "branch": "string",
          "account_number": "string",
          "bic": "string"
        },
        "ar_local": {
          "cbu": "string",
          "account_number": "string",
          "bic": "string"
        },
        "mx_local": {
          "clabe": "string",
          "account_number": "string",
          "bic": "string"
        },
        "account_number": "string",
        "bank_code": "string",
        "routing_number": "string",
        "account_type": "CHECKING"
      },
      "payment_gateway": {
        "integration_id": "string",
        "integration": {
          "object_type": "string",
          "id": "string",
          "reference": "string",
          "name": "string",
          "description": "string",
          "status": "DRAFT",
          "message": "string",
          "type": "PAYMENT_GATEWAY",
          "variant": "DEFAULT",
          "paragon_settings": {
            "paragon_external_id": "string"
          },
          "authentication": {
            "api_key": {
              "header": "string",
              "value": "string"
            },
            "client_credentials": {
              "client_id": "string",
              "client_secret": "string"
            },
            "username_password": {
              "username": "string",
              "password": "string"
            }
          },
          "payment_gateway": {
            "variant": "ADYEN",
            "adyen": {
              "company_account": "string",
              "environment": "LIVE",
              "live_prefix": "string",
              "merchant_accounts": [
                "string"
              ],
              "public_key": "string",
              "signing_secret": "string",
              "ownership": "PLATFORM",
              "system_ownership_details": {
                "account_holder_id": "string",
                "balance_account_id": "string",
                "legal_entity_id": "string",
                "store_id": "string"
              },
              "balance_platform_details": {
                "account": "string",
                "authentication": {
                  "api_key": {
                    "header": "string",
                    "value": "string"
                  },
                  "client_credentials": {
                    "client_id": "string",
                    "client_secret": "string"
                  },
                  "username_password": {
                    "username": "string",
                    "password": "string"
                  }
                }
              },
              "legal_entity_manager_details": {
                "authentication": {
                  "api_key": {
                    "header": "string",
                    "value": "string"
                  },
                  "client_credentials": {
                    "client_id": "string",
                    "client_secret": "string"
                  },
                  "username_password": {
                    "username": "string",
                    "password": "string"
                  }
                }
              },
              "enabled_payment_methods": [
                "string"
              ]
            },
            "stripe": {
              "public_key": "string",
              "signing_secret": "string"
            }
          },
          "e_invoicing": {
            "mandates": [
              {
                "name": "string",
                "country": "string",
                "mappings": [
                  {
                    "target": "string",
                    "source": "string",
                    "description": "string"
                  }
                ],
                "condition_groups": [
                  {
                    "conditions": [
                      {
                        "field": "string",
                        "comparator_type": "EQUALS",
                        "value": "string"
                      }
                    ]
                  }
                ],
                "include_pdf_in_einvoice": true,
                "supported_file_formats": [
                  {
                    "type": "string",
                    "description": "string"
                  }
                ]
              }
            ],
            "processor": "AVALARA"
          },
          "data_export": {
            "variant": "S3",
            "s3": {
              "bucket_name": "string",
              "bucket_path": "string",
              "bucket_region": "string",
              "authentication_type": "ACCESS_KEY_AND_SECRET",
              "role_arn": "string",
              "external_id": "string"
            },
            "bigquery": {
              "project_id": "string",
              "dataset_id": "string",
              "dataset_location": "string",
              "gcs_bucket_name": "string",
              "gcs_hmac_key_access_id": "string",
              "gcs_hmac_key_secret": "string"
            },
            "gcs": {
              "bucket_region": "string",
              "bucket_name": "string",
              "bucket_path": "string",
              "flattening": true
            },
            "snowflake": {
              "host": "string",
              "role": "string",
              "warehouse": "string",
              "database": "string",
              "schema": "string"
            },
            "transport_type": "string"
          },
          "tax_calculation": {
            "billing_entity_id": "string",
            "variant": "AVATAX",
            "ava_tax": {
              "company_code": "string"
            },
            "custom_tax_codes": [
              {
                "field": "INVOICE_COMMITMENT",
                "value": "string"
              }
            ],
            "enable_tax_filing": true
          },
          "linked_resources_configurations": [
            {
              "resource_type": "string",
              "link_details": [
                {
                  "base_url": "string",
                  "custom_field_reference": "string"
                }
              ]
            }
          ],
          "email_provider": {
            "variant": "SYSTEM",
            "mailgun": {
              "domain": "string",
              "region": "US",
              "plan": "string"
            },
            "delivery_window": {
              "type": "DAY",
              "value": 1
            }
          },
          "erp": {
            "variant": "XERO"
          }
        },
        "store_payment_method": true,
        "auto_charge_payment_method": true,
        "collection_type": "LINK",
        "link": {
          "expiry_period": {
            "type": "DAY",
            "value": 1
          }
        },
        "adyen": {
          "auto_rescue": {
            "enabled": true,
            "period": {
              "type": "DAY",
              "value": 1
            }
          },
          "merchant_account": "string",
          "allowed_payment_methods": [
            "string"
          ]
        }
      },
      "custom_redirect": {
        "url": "string"
      },
      "status": "DRAFT"
    },
    "integration": {
      "object_type": "string",
      "id": "string",
      "reference": "string",
      "name": "string",
      "description": "string",
      "status": "DRAFT",
      "message": "string",
      "type": "PAYMENT_GATEWAY",
      "variant": "DEFAULT",
      "paragon_settings": {
        "paragon_external_id": "string"
      },
      "authentication": {
        "api_key": {
          "header": "string",
          "value": "string"
        },
        "client_credentials": {
          "client_id": "string",
          "client_secret": "string"
        },
        "username_password": {
          "username": "string",
          "password": "string"
        }
      },
      "payment_gateway": {
        "variant": "ADYEN",
        "adyen": {
          "company_account": "string",
          "environment": "LIVE",
          "live_prefix": "string",
          "merchant_accounts": [
            "string"
          ],
          "public_key": "string",
          "signing_secret": "string",
          "ownership": "PLATFORM",
          "system_ownership_details": {
            "account_holder_id": "string",
            "balance_account_id": "string",
            "legal_entity_id": "string",
            "store_id": "string"
          },
          "balance_platform_details": {
            "account": "string",
            "authentication": {
              "api_key": {
                "header": "string",
                "value": "string"
              },
              "client_credentials": {
                "client_id": "string",
                "client_secret": "string"
              },
              "username_password": {
                "username": "string",
                "password": "string"
              }
            }
          },
          "legal_entity_manager_details": {
            "authentication": {
              "api_key": {
                "header": "string",
                "value": "string"
              },
              "client_credentials": {
                "client_id": "string",
                "client_secret": "string"
              },
              "username_password": {
                "username": "string",
                "password": "string"
              }
            }
          },
          "enabled_payment_methods": [
            "string"
          ]
        },
        "stripe": {
          "public_key": "string",
          "signing_secret": "string"
        }
      },
      "e_invoicing": {
        "mandates": [
          {
            "name": "string",
            "country": "string",
            "mappings": [
              {
                "target": "string",
                "source": "string",
                "description": "string"
              }
            ],
            "condition_groups": [
              {
                "conditions": [
                  {
                    "field": "string",
                    "comparator_type": "EQUALS",
                    "value": "string"
                  }
                ]
              }
            ],
            "include_pdf_in_einvoice": true,
            "supported_file_formats": [
              {
                "type": "string",
                "description": "string"
              }
            ]
          }
        ],
        "processor": "AVALARA"
      },
      "data_export": {
        "variant": "S3",
        "s3": {
          "bucket_name": "string",
          "bucket_path": "string",
          "bucket_region": "string",
          "authentication_type": "ACCESS_KEY_AND_SECRET",
          "role_arn": "string",
          "external_id": "string"
        },
        "bigquery": {
          "project_id": "string",
          "dataset_id": "string",
          "dataset_location": "string",
          "gcs_bucket_name": "string",
          "gcs_hmac_key_access_id": "string",
          "gcs_hmac_key_secret": "string"
        },
        "gcs": {
          "bucket_region": "string",
          "bucket_name": "string",
          "bucket_path": "string",
          "flattening": true
        },
        "snowflake": {
          "host": "string",
          "role": "string",
          "warehouse": "string",
          "database": "string",
          "schema": "string"
        },
        "transport_type": "string"
      },
      "tax_calculation": {
        "billing_entity_id": "string",
        "variant": "AVATAX",
        "ava_tax": {
          "company_code": "string"
        },
        "custom_tax_codes": [
          {
            "field": "INVOICE_COMMITMENT",
            "value": "string"
          }
        ],
        "enable_tax_filing": true
      },
      "linked_resources_configurations": [
        {
          "resource_type": "string",
          "link_details": [
            {
              "base_url": "string",
              "custom_field_reference": "string"
            }
          ]
        }
      ],
      "email_provider": {
        "variant": "SYSTEM",
        "mailgun": {
          "domain": "string",
          "region": "US",
          "plan": "string"
        },
        "delivery_window": {
          "type": "DAY",
          "value": 1
        }
      },
      "erp": {
        "variant": "XERO"
      }
    },
    "options": [
      {
        "name": "string",
        "payment_method_variant": "string",
        "payment_gateway_variant": "string",
        "adyen": {
          "name": "string",
          "type": "string",
          "brand": "string",
          "brands": [
            "string"
          ],
          "funding_source": "string",
          "issuers": [
            {
              "id": "string",
              "name": "string"
            }
          ],
          "store_payment_method": true,
          "configuration": {}
        },
        "stripe": {
          "name": "string"
        }
      }
    ]
  }
]
```

**SDK Code**

```python PaymentAcceptors_postPaymentAcceptorsPaymentMethodOptions_example
import requests

url = "https://test.api.solvimon.com/v1/payment-acceptors/payment-method-options"

payload = {
    "customer_id": "cust_lwDeeN0vxxHxMWCVef1S",
    "pricing_plan_subscription_id": "ppsu_qwDeeN0vxxHy6YCGVV17",
    "amount": {
        "quantity": "500.00",
        "currency": "EUR"
    },
    "country": "DE",
    "shopper_interaction": "ECOMMERCE"
}
headers = {
    "X-API-KEY": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript PaymentAcceptors_postPaymentAcceptorsPaymentMethodOptions_example
const url = 'https://test.api.solvimon.com/v1/payment-acceptors/payment-method-options';
const options = {
  method: 'POST',
  headers: {'X-API-KEY': '<apiKey>', 'Content-Type': 'application/json'},
  body: '{"customer_id":"cust_lwDeeN0vxxHxMWCVef1S","pricing_plan_subscription_id":"ppsu_qwDeeN0vxxHy6YCGVV17","amount":{"quantity":"500.00","currency":"EUR"},"country":"DE","shopper_interaction":"ECOMMERCE"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go PaymentAcceptors_postPaymentAcceptorsPaymentMethodOptions_example
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://test.api.solvimon.com/v1/payment-acceptors/payment-method-options"

	payload := strings.NewReader("{\n  \"customer_id\": \"cust_lwDeeN0vxxHxMWCVef1S\",\n  \"pricing_plan_subscription_id\": \"ppsu_qwDeeN0vxxHy6YCGVV17\",\n  \"amount\": {\n    \"quantity\": \"500.00\",\n    \"currency\": \"EUR\"\n  },\n  \"country\": \"DE\",\n  \"shopper_interaction\": \"ECOMMERCE\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("X-API-KEY", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby PaymentAcceptors_postPaymentAcceptorsPaymentMethodOptions_example
require 'uri'
require 'net/http'

url = URI("https://test.api.solvimon.com/v1/payment-acceptors/payment-method-options")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["X-API-KEY"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"customer_id\": \"cust_lwDeeN0vxxHxMWCVef1S\",\n  \"pricing_plan_subscription_id\": \"ppsu_qwDeeN0vxxHy6YCGVV17\",\n  \"amount\": {\n    \"quantity\": \"500.00\",\n    \"currency\": \"EUR\"\n  },\n  \"country\": \"DE\",\n  \"shopper_interaction\": \"ECOMMERCE\"\n}"

response = http.request(request)
puts response.read_body
```

```java PaymentAcceptors_postPaymentAcceptorsPaymentMethodOptions_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://test.api.solvimon.com/v1/payment-acceptors/payment-method-options")
  .header("X-API-KEY", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{\n  \"customer_id\": \"cust_lwDeeN0vxxHxMWCVef1S\",\n  \"pricing_plan_subscription_id\": \"ppsu_qwDeeN0vxxHy6YCGVV17\",\n  \"amount\": {\n    \"quantity\": \"500.00\",\n    \"currency\": \"EUR\"\n  },\n  \"country\": \"DE\",\n  \"shopper_interaction\": \"ECOMMERCE\"\n}")
  .asString();
```

```php PaymentAcceptors_postPaymentAcceptorsPaymentMethodOptions_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://test.api.solvimon.com/v1/payment-acceptors/payment-method-options', [
  'body' => '{
  "customer_id": "cust_lwDeeN0vxxHxMWCVef1S",
  "pricing_plan_subscription_id": "ppsu_qwDeeN0vxxHy6YCGVV17",
  "amount": {
    "quantity": "500.00",
    "currency": "EUR"
  },
  "country": "DE",
  "shopper_interaction": "ECOMMERCE"
}',
  'headers' => [
    'Content-Type' => 'application/json',
    'X-API-KEY' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp PaymentAcceptors_postPaymentAcceptorsPaymentMethodOptions_example
using RestSharp;

var client = new RestClient("https://test.api.solvimon.com/v1/payment-acceptors/payment-method-options");
var request = new RestRequest(Method.POST);
request.AddHeader("X-API-KEY", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"customer_id\": \"cust_lwDeeN0vxxHxMWCVef1S\",\n  \"pricing_plan_subscription_id\": \"ppsu_qwDeeN0vxxHy6YCGVV17\",\n  \"amount\": {\n    \"quantity\": \"500.00\",\n    \"currency\": \"EUR\"\n  },\n  \"country\": \"DE\",\n  \"shopper_interaction\": \"ECOMMERCE\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift PaymentAcceptors_postPaymentAcceptorsPaymentMethodOptions_example
import Foundation

let headers = [
  "X-API-KEY": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = [
  "customer_id": "cust_lwDeeN0vxxHxMWCVef1S",
  "pricing_plan_subscription_id": "ppsu_qwDeeN0vxxHy6YCGVV17",
  "amount": [
    "quantity": "500.00",
    "currency": "EUR"
  ],
  "country": "DE",
  "shopper_interaction": "ECOMMERCE"
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://test.api.solvimon.com/v1/payment-acceptors/payment-method-options")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```